Bug 56444 - chkconfig --add ntpd fails
chkconfig --add ntpd fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ntp (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-18 13:28 EST by Greg Cope
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-18 13:28:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Cope 2001-11-18 13:28:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
The chkconfig line in /etc/init.d/ntpd has a '-' character instead of a
runlevel to run in string eg '345'.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. chkconfig --add ntpd
2. chkconfig --list  ntpd should return a list of default added run levels.
	

Actual Results:  chkconfig --add ntpd did not add ntpd to any run levels.

Expected Results:  chkconfig --add ntpd should add ntpd to a default set of
run levels 3-4-5 (network up run levels)

Additional info:
Comment 1 Harald Hoyer 2001-11-20 04:37:49 EST
Same to most of the daemons...

# fgrep chkconfig /etc/init.d/*|fgrep -
/etc/init.d/amd:# chkconfig: - 72 28
/etc/init.d/arpwatch:# chkconfig: - 55 45
/etc/init.d/bcm5820:# chkconfig: - 11 89
/etc/init.d/bgpd:# chkconfig: - 16 84
/etc/init.d/bootparamd:# chkconfig: - 60 20
/etc/init.d/dhcpd:# chkconfig: - 65 35
/etc/init.d/gated:# chkconfig: - 32 75
/etc/init.d/httpd:# chkconfig: - 85 15
/etc/init.d/identd:# chkconfig: - 35 65
/etc/init.d/innd:# chkconfig: - 95 05
/etc/init.d/irda:# chkconfig: - 45 96
/etc/init.d/junkbuster:# chkconfig: - 84 09
/etc/init.d/kadmin:# chkconfig:   - 35 65
/etc/init.d/kprop:# chkconfig:   - 35 65
/etc/init.d/krb524:# chkconfig:   - 35 65
/etc/init.d/krb5kdc:# chkconfig:   - 35 65
/etc/init.d/ldap:# chkconfig: - 39 61
/etc/init.d/mars-nwe:# chkconfig: - 60 40
/etc/init.d/mcserv:# chkconfig: - 86 30
/etc/init.d/mysqld:# chkconfig: - 78 12
/etc/init.d/named:# chkconfig: - 55 45
/etc/init.d/nfs:# chkconfig: - 60 20
/etc/init.d/nscd:# chkconfig: - 30 74
/etc/init.d/ntpd:# chkconfig: - 26 74
/etc/init.d/ospf6d:# chkconfig: - 16 84
/etc/init.d/ospfd:# chkconfig: - 16 84
/etc/init.d/postgresql:# chkconfig: - 85 15
/etc/init.d/pxe:# chkconfig: - 56 54
/etc/init.d/radvd:# chkconfig: - 54 46
/etc/init.d/rarpd:# chkconfig: - 82 16
/etc/init.d/rhnsd:# chkconfig: - 97 03
/etc/init.d/ripd:# chkconfig: - 16 84
/etc/init.d/ripngd:# chkconfig: - 16 84
/etc/init.d/routed:# chkconfig: - 55 55
/etc/init.d/rstatd:# chkconfig: - 60 20
/etc/init.d/rusersd:# chkconfig: - 60 20
/etc/init.d/rwalld:# chkconfig: - 60 20
/etc/init.d/rwhod:# chkconfig: - 60 20
/etc/init.d/smb:# chkconfig: - 91 35
/etc/init.d/snmpd:# chkconfig: - 50 50
/etc/init.d/squid:# chkconfig: - 90 25
/etc/init.d/tux:# chkconfig: - 50 50
/etc/init.d/ups:# chkconfig: - 26 74
/etc/init.d/vncserver:# chkconfig: - 91 35
/etc/init.d/ypbind:# chkconfig: - 27 73
/etc/init.d/yppasswdd:# chkconfig: - 66 34
/etc/init.d/ypserv:# chkconfig: - 26 74
/etc/init.d/ypxfrd:# chkconfig: - 26 74
/etc/init.d/zebra:# chkconfig: - 15 85
Comment 2 Greg Cope 2001-11-20 05:35:39 EST
Thanks

I thought it was supposed to have a string - appologies.

Greg

Note You need to log in before you can comment on or make changes to this bug.